# sim-solps
sim-solps is a python package which provides synthetic-instrument modelling for SOLPS-ITER.

## Features
 - The [`SolpsInterface`](https://github.com/C-bowman/sim-solps/blob/main/demos/SolpsInterface_demo.ipynb) class, which provides a convenient python interface to access the
   results of SOLPS-ITER simulations stored in `balance.nc` files.
 - Instrument modelling for Thomson scattering systems as the [`ThomsonScattering`](https://github.com/C-bowman/sim-solps/blob/main/demos/ThomsonScattering_demo.ipynb) class.

## Installation
sim-solps is available from [PyPI](https://pypi.org/project/sim-solps/), 
so can be easily installed using [pip](https://pip.pypa.io/en/stable/) as follows:
```bash
pip install sim-solps
```

## Documentation
The package documentation is available at [sim-solps.readthedocs.io](https://sim-solps.readthedocs.io/).